(function ($) {

	"use strict";


	// Avoid accidentally breaking some old browsers
	if (typeof window.console !== 'object') {window.console = {log: function () {}, info: function () {}, error: function () {}};};
	if (typeof Date.now == 'undefined') {Date.now = function () {return (new Date()).getTime();};};


	// Shortcut for function scope binding
	Function.prototype.use = function (context) {
		return $.proxy(this, context);
	};

}(jQuery));